• ×
    Information
    Windows update impacting certain printer icons and names. Microsoft is working on a solution.
    Click here to learn more
    Information
    Need Windows 11 help?
    Check documents on compatibility, FAQs, upgrade information and available fixes.
    Windows 11 Support Center.
  • post a message
  • ×
    Information
    Windows update impacting certain printer icons and names. Microsoft is working on a solution.
    Click here to learn more
    Information
    Need Windows 11 help?
    Check documents on compatibility, FAQs, upgrade information and available fixes.
    Windows 11 Support Center.
  • post a message
Guidelines
The Poly Video Conferencing Knowledge Base is live! We look forward to helping you with common issues and troubleshooting advice!
HP Recommended
Microsoft Windows 10 (64-bit)

I have a Poly X30 with TC8. I was on 3.9.0 Software and upgraded to 4.0.2. I was suppose to upgrade to 3.1.4 first then upgrade to 4.0.2. The upgrade instructions specifically said “ you CANNOT” upgrade below 3.1.4 to 4.0.2 without going to 3.1.4 first. But there are no instructions on what to do if anybody messed this up.
 I noticed I’m unable to change my video output to the TV. It’s only showing 1080P. The X30 is capable of 4K resolution. there is no way to change this in the settings. I’m thinking the update created some kind of bug in the Web Address software. How do I fix this? How can I downgrade and upgrade correctly?

1 REPLY 1
HP Recommended

Hello @Helinet818 ,

 

welcome to the HP Poly community.

 

You have posted in an incorrect section and your post has been moved by a volunteer. It has been moved to a section more suitable for your request.

 

As you already found out you cannot downgrade from PolyOS 4.0.x to older Versions due to the Android Version change.

 

I am unsure how you managed this as we have several safety precautions in place that this cannot happen but somehow this was done.

 

The recommendation is to factory restore the unit via the Pin Hole method. This will set the unit back to PolyOS 4.0.0

 

From there you can upgrade.

 

As we are not aware what provider mode you are using this in we must assume that the provider in question does not support 4K and/or the screen or any EDID adapter or similar in between does not support this.

 

if you still struggle please contact HP Poly Support in your region. More details are in my signature.

 

Best Regards

 

Steffen Baier

------------------------------------------------
Notice: I am an HP Poly employee but all replies within the community are done as a volunteer outside of my day role. This community forum is not an official HP Poly support resource, thus responses from HP Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge.
If you need immediate and/or official assistance for former Poly\Plantronics\Polycom please open a service ticket through your support channels
For HP products please check HP Support.

Please also ensure you always check the General VoIP , Video Endpoint , UC Platform (Microsoft) , PSTN
† The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the <a href="https://www8.hp.com/us/en/terms-of-use.html" class="udrlinesmall">Terms of Use</a> and <a href="/t5/custom/page/page-id/hp.rulespage" class="udrlinesmall"> Rules of Participation</a>.